using AipGateway.AIP;
using AipGateway.API.Domain.Models;

namespace AipGateway.API.Services
{
    public interface IApiAipService
    {
        Task<ApiResponseDto> DownloadAipInfo();

        // AIP File Interface
        Task<List<AipLabel>> GetLabels();
        Task<List<AipLabel>> GetPolicies();
        Task<List<AipTemplate>> GetProtections();
    }
}
